Results 1 to 3 of 3

Thread: apt-get upgrade issues - kept back - gnome-flashback

  1. #1
    Join Date
    2016-Sep
    Posts
    7

    apt-get upgrade issues - kept back - gnome-flashback

    4.18.0-kali1-amd64 #1 SMP Debian 4.18.6-1kali1 (2018-09-10) x86_64 GNU/Linux - GNOME
    HDD install

    after running apt-get update, apt-get upgrade, and apt-get dist-upgrade, as well as incorporating apt-get autoclean and apt-get autoremove in differing orders still getting the response below

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
    gnome-flashback gnome-flashback-common
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded

    Attempting to install or reinstall results in

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    gnome-flashback : Depends: gnome-flashback-common (= 3.30.0-1) but 3.28.0-1 is to be installed
    E: Unable to correct problems, you have held broken packages.

    Checking for held packages results in - dpkg --get-selections | grep -i held

    - nothing being listed

    Not sure where to go from here

  2. #2
    Join Date
    2013-Apr
    Location
    Kali forums
    Posts
    805
    If I have a broken install or missing dependencies, I'll run apt install kali-linux-full. That usually resolves the problem.

    I'd take a backup before, just to be safe.

  3. #3
    Join Date
    2016-Sep
    Posts
    7
    thanks, the issue actually resolved itself over time. Think it may have been a "rolling" issue in timing or something

Similar Threads

  1. apt-get upgrade packages kept back
    By neminem85 in forum General Archive
    Replies: 4
    Last Post: 2018-04-12, 21:47
  2. Replies: 0
    Last Post: 2017-05-08, 08:25
  3. Replies: 0
    Last Post: 2014-01-01, 17:35
  4. cant open session 'gnome fail back'
    By freeradik in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2013-11-24, 17:38

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •